<template>
  <div v-if="sr" class="super-reader-ctn">
    <div class="super-reader">
      <a :href="authorUrl">
        <div class="author-img">
          <img :src="authorImg" />
        </div>
        <div class="author-info">
          <span class="author-name text--xs text--primary">
            {{ authorName }}
          </span>
        </div>
      </a>
    </div>
    <div class="sr-comment-ctn">
      <a :href="albumUrl">
        <p class="sr-title">{{ sr.album.title }}</p>
      </a>
      <p class="sr-comment">
        <span v-html="truncateDesc"></span>
        <a
          v-if="isTruncated && needTruncate"
          class="text--md text--primary read-more"
          :href="commentUrl"
        >
          {{ $t('catalog.read_more') }}
        </a>
      </p>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    sr: {
      type: Object,
      required: true
    },
    serie: {
      type: Object,
      required: true
    }
  },
  data() {
    return {
      isTruncated: true,
      author: undefined
    }
  },
  computed: {
    albumUrl() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/${this.serie.shelf}/${this.serie.genre}/${this.serie.slug}/${this.sr.album.slug}-${this.sr.album.id}`
    },
    commentUrl() {
      return `${this.albumUrl}#comment`
    },
    truncatedReview() {
      return this.$utils.cutByWords(this.sr.review || '', 440)
    },
    truncateDesc() {
      let text = this.sr.review || ''

      if (this.isTruncated) {
        text = this.truncatedReview
      }

      return text
    },
    needTruncate() {
      return this.sr.review && this.sr.review !== this.truncatedReview
    },
    authorName() {
      return this.sr.login
    },
    authorImg() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/avatar/${this.sr.id}.jpg`
    },
    authorUrl() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/profil/${this.sr.id}`
    }
  },
  mounted() {
    if (this.sr.review) {
      this.isTruncated = this.sr.review !== this.truncatedReview
    }
  }
}
</script>

<style lang="scss" scoped>
.super-reader-ctn {
  display: flex;
}

.super-reader {
  flex: 1;

  .author-img {
    width: 100%;

    img {
      width: 85px;
      height: auto;
      border-radius: 99999px;
      margin: auto;
      display: inherit;
    }
  }

  .author-info {
    text-align: center;
  }

  .author-name {
    font-size: 14px;
    color: #808080;
  }
}

.sr-comment-ctn {
  flex: 5;
  padding-left: 1rem;
  margin-bottom: 3rem;

  .sr-title {
    font-size: 14px;
    color: #808080;
  }

  .sr-comment {
    font-size: 18px;
    color: #fff;
  }

  .read-more {
    cursor: pointer;
    text-decoration: underline;
    color: #686868;

    &:hover {
      color: $color-secondary;
    }
  }
}
</style>
